Summary: Packet construction toolkit
Name: spak
Version: 0.6b
Release: 1
Packager: Damien Miller <djm@ibs.com.au>
Source0: spak-%{version}.tar.gz
Patch0: spak-glibc.diff
Copyright: GPL
Group: Applications/Internet
BuildRoot: /tmp/spak-%{version}-buildroot

%description

Spak is a suite of tools that allow the construction and sending of arbitrary
TCP, UDP, ICMP, IP and link level packets.

%changelog
* Thu Feb 17 2000 Damien Miller <djm@ibs.com.au>
- Built RPM

%prep

%setup

%patch0 -p1

%build

make -f Makefile.LINUX COPT="$RPM_OPT_FLAGS -D_BSD_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/bin
install makearp $RPM_BUILD_ROOT/usr/bin
install makeeth $RPM_BUILD_ROOT/usr/bin
install makeip $RPM_BUILD_ROOT/usr/bin
install maketcp $RPM_BUILD_ROOT/usr/bin
install makeudp $RPM_BUILD_ROOT/usr/bin
install sendeth $RPM_BUILD_ROOT/usr/bin
install sendpacket $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG COPYRIGHT LICENSE README TODO
%doc contrib
%attr(0755,root,root) /usr/bin/*
